NNG_MSG_HEADER(3)

NAME
nng_msg_header - return message header

SYNOPSIS

    #include <nng/nng.h>

    void *nng_msg_header(nng_msg *msg);

DESCRIPTION

The nng_msg_header() function returns a pointer to the start of the header content of the message msg.

    Note

    The message header contains protocol-specific header content. Most applications should not need to access this content, but it is available for raw mode sockets (set with the NNG_OPT_RAW option.)

    Note

    The value returned by this is invalidated by a call to any of the functions that modify the message or the header content.

RETURN VALUES

Pointer to start of message header.

ERRORS

None.

SEE ALSO

nng_msg_alloc(3), nng_msg_body(3), nng_msg_free(3), nng_msg_header_append(3), nng_msg_header_chop(3), nng_msg_header_insert(3) nng_msg_header_len(3), nng_msg_header_trim(3), nng_msg(5), nng(7)